Subject: Re: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 27 Feb 2012 12:34:40 +0100

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>>> I see why we might want to signal an error to the user when she does
>>> (copy-directory "~/test" "~/test/test1"), but I don't see why that
>>> implies that we need files-equal-p to handle non-existent files.
>> Because if we don't do that, we have to create new directory Test1 and
>> then test if Test1 is a subdir of Test.
>> This just to avoid that.
>
> This has to be handled in copy-directory.
It is actually handled in copy-directory.

> files-equal-p can (will!) be used also somewhere else.
It's why I propose a new optional arg for it.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997